Rogers-Grove-interior

Page Can't Be Displayed Error

Print
Press Enter to show all options, press Tab go to next option

TLS and SSL Protocol Connection Issues


Internet Browsers and the City of Longmont’s Utility Bill Payment Account Portal

Issue:

If a customer attempts to access this website one of the city's secure websites (Utility Bill Payment Site, Library Pay Fines, Recreation Class Registration System L-Trac) with outdated software, their browser will display this error: “This page can’t be displayed.”

Remedy:

Update to the latest version of your Internet browser and be sure that you are running the latest version of your operating system software (Win 7, Win 8.1, Win 10, Mac OS X, Android, iOS).

View a detailed listing of the software which passes the TLS verification.


More Detailed Explanation

Overview:

The web server that is running the City’s Utility Bill Payment portal website was recently upgraded. This upgrade increased website (server) security by removing certain older versions of the Transport Layer Security (TLS) and Secure Socket Layer (SSL) encryption protocols that are no longer supported.

By removing the older, less secure versions of TLS and SSL encryption, it ensures that our customers are required to run the most current version of their Internet browsers and operating systems to log on to the City’s secure Utility Billing website.

If a customer attempts to access this website https://secure1.longmontcolorado.gov/utilitybilling/ with outdated software, their browser will display the error “This page can’t be displayed.”

IE-TLS-Error 

 internet-explorer-cannot-display-the-webpage

 

safari-cant-open

 

Systems Affected:

Below is a listing of the versions of computer operating systems (Windows, Mac OSX, Android, Windows Phone, iOS, ) and Internet Browser applications (Internet Explorer, Chrome, Firefox, Safari, etc.) which are no longer able to connect to our Utility Bill Payment Portal.

Software Name:

TLS 1.2 Support:

Action To Take:

Android 4.3 or older

No

Need to upgrade your software

IE 6 / Win XP

No

Need to upgrade your software

IE 7 / Vista

No

Need to upgrade your software

IE 8 / Win XP

No

Need to upgrade your software

IE 8 – 10/ Win 7

No

Need to upgrade your software

IE 10 / Win Phone 8.0

No

Need to upgrade your software

Safari 5.1.9 / OS X 10.6.8

No

Need to upgrade your software

Safari 6.0.4 /OS X 10.8.4

No

Need to upgrade your software

Solution:

To ensure that you meet the minimum requirements, please update to the most current version of your Internet Browser and also be sure to install all of the latest security patches for your computer’s operating system. If you do not see your browser or operating system listed above, the chances are good that you will be able to access the City’s Utility Billing website without any issues. If you are not sure, you can run your browser through a test. See below.

Test your Internet Browser:

If you want to test your version of browser to see if it is vulnerable, click the link below and this website will run a security check. If it is up to date, you should see under “Protocol Support” the statement “Your user agent has good protocol support”.

Protocol-support

https://www.ssllabs.com/ssltest/viewMyClient.html

Troubleshooting:

The City of Longmont is not able to provide details on how to upgrade your computers software or operating systems if your system does not meet the minimum requirements. Please consult with a computer expert.

View Full Site